Skip to content
Navigation

Validate, scan, attach, and anchor uploaded Forecast proof

POST
https://api.sureshake.com/v2/entities/{entityId}/calls/{callId}/evidence/{evidenceId}/confirm

Path parameters

  • entityId
    required

    Any of the following:

    • string
    • string
  • callId
    string
    required
    format: uuid
  • evidenceId
    string
    required
    format: uuid

Returns

200

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • callId
      string
      required
      format: uuid
    • filename
      string
      required
    • mimeType
      string
      required
    • byteSize
      integer
      required
      minimum: 0
    • sha256
      string
      required
      pattern: ^sha256:[a-f0-9]{64}$
    • status
      upload_session_created
      or
      scan_pending
      or
      attached
      or
      failed
      required
    • scanError
      string
      or null
      required
    • eventId
      string
      or null
      required
      format: uuid
    • confirmedAt
      string
      or null
      required
      format: date-time
    • createdAt
      string
      required
      format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close